Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network34.167.0.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
34.167.0.0
Broadcast address
34.167.0.255
First usable
34.167.0.1
Last usable
34.167.0.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 22A70000 · Integer 581369856 to 581370111
Reverse DNS zone
0.167.34.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100010.10100111.00000000..0000000034.167.0.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network00100010.10100111.00000000..0000000034.167.0.0
Broadcast00100010.10100111.00000000..1111111134.167.0.255
Split into smaller subnets/32

34.167.0.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
134.167.0.0/3234.167.0.0 to 34.167.0.0—1
234.167.0.1/3234.167.0.1 to 34.167.0.1—1
334.167.0.2/3234.167.0.2 to 34.167.0.2—1
434.167.0.3/3234.167.0.3 to 34.167.0.3—1
534.167.0.4/3234.167.0.4 to 34.167.0.4—1
634.167.0.5/3234.167.0.5 to 34.167.0.5—1
734.167.0.6/3234.167.0.6 to 34.167.0.6—1
834.167.0.7/3234.167.0.7 to 34.167.0.7—1
934.167.0.8/3234.167.0.8 to 34.167.0.8—1
1034.167.0.9/3234.167.0.9 to 34.167.0.9—1
1134.167.0.10/3234.167.0.10 to 34.167.0.10—1
1234.167.0.11/3234.167.0.11 to 34.167.0.11—1
1334.167.0.12/3234.167.0.12 to 34.167.0.12—1
1434.167.0.13/3234.167.0.13 to 34.167.0.13—1
1534.167.0.14/3234.167.0.14 to 34.167.0.14—1
1634.167.0.15/3234.167.0.15 to 34.167.0.15—1
1734.167.0.16/3234.167.0.16 to 34.167.0.16—1
1834.167.0.17/3234.167.0.17 to 34.167.0.17—1
1934.167.0.18/3234.167.0.18 to 34.167.0.18—1
2034.167.0.19/3234.167.0.19 to 34.167.0.19—1
2134.167.0.20/3234.167.0.20 to 34.167.0.20—1
2234.167.0.21/3234.167.0.21 to 34.167.0.21—1
2334.167.0.22/3234.167.0.22 to 34.167.0.22—1
2434.167.0.23/3234.167.0.23 to 34.167.0.23—1
2534.167.0.24/3234.167.0.24 to 34.167.0.24—1
2634.167.0.25/3234.167.0.25 to 34.167.0.25—1
2734.167.0.26/3234.167.0.26 to 34.167.0.26—1
2834.167.0.27/3234.167.0.27 to 34.167.0.27—1
2934.167.0.28/3234.167.0.28 to 34.167.0.28—1
3034.167.0.29/3234.167.0.29 to 34.167.0.29—1
3134.167.0.30/3234.167.0.30 to 34.167.0.30—1
3234.167.0.31/3234.167.0.31 to 34.167.0.31—1
3334.167.0.32/3234.167.0.32 to 34.167.0.32—1
3434.167.0.33/3234.167.0.33 to 34.167.0.33—1
3534.167.0.34/3234.167.0.34 to 34.167.0.34—1
3634.167.0.35/3234.167.0.35 to 34.167.0.35—1
3734.167.0.36/3234.167.0.36 to 34.167.0.36—1
3834.167.0.37/3234.167.0.37 to 34.167.0.37—1
3934.167.0.38/3234.167.0.38 to 34.167.0.38—1
4034.167.0.39/3234.167.0.39 to 34.167.0.39—1
4134.167.0.40/3234.167.0.40 to 34.167.0.40—1
4234.167.0.41/3234.167.0.41 to 34.167.0.41—1
4334.167.0.42/3234.167.0.42 to 34.167.0.42—1
4434.167.0.43/3234.167.0.43 to 34.167.0.43—1
4534.167.0.44/3234.167.0.44 to 34.167.0.44—1
4634.167.0.45/3234.167.0.45 to 34.167.0.45—1
4734.167.0.46/3234.167.0.46 to 34.167.0.46—1
4834.167.0.47/3234.167.0.47 to 34.167.0.47—1
4934.167.0.48/3234.167.0.48 to 34.167.0.48—1
5034.167.0.49/3234.167.0.49 to 34.167.0.49—1
5134.167.0.50/3234.167.0.50 to 34.167.0.50—1
5234.167.0.51/3234.167.0.51 to 34.167.0.51—1
5334.167.0.52/3234.167.0.52 to 34.167.0.52—1
5434.167.0.53/3234.167.0.53 to 34.167.0.53—1
5534.167.0.54/3234.167.0.54 to 34.167.0.54—1
5634.167.0.55/3234.167.0.55 to 34.167.0.55—1
5734.167.0.56/3234.167.0.56 to 34.167.0.56—1
5834.167.0.57/3234.167.0.57 to 34.167.0.57—1
5934.167.0.58/3234.167.0.58 to 34.167.0.58—1
6034.167.0.59/3234.167.0.59 to 34.167.0.59—1
6134.167.0.60/3234.167.0.60 to 34.167.0.60—1
6234.167.0.61/3234.167.0.61 to 34.167.0.61—1
6334.167.0.62/3234.167.0.62 to 34.167.0.62—1
6434.167.0.63/3234.167.0.63 to 34.167.0.63—1
6534.167.0.64/3234.167.0.64 to 34.167.0.64—1
6634.167.0.65/3234.167.0.65 to 34.167.0.65—1
6734.167.0.66/3234.167.0.66 to 34.167.0.66—1
6834.167.0.67/3234.167.0.67 to 34.167.0.67—1
6934.167.0.68/3234.167.0.68 to 34.167.0.68—1
7034.167.0.69/3234.167.0.69 to 34.167.0.69—1
7134.167.0.70/3234.167.0.70 to 34.167.0.70—1
7234.167.0.71/3234.167.0.71 to 34.167.0.71—1
7334.167.0.72/3234.167.0.72 to 34.167.0.72—1
7434.167.0.73/3234.167.0.73 to 34.167.0.73—1
7534.167.0.74/3234.167.0.74 to 34.167.0.74—1
7634.167.0.75/3234.167.0.75 to 34.167.0.75—1
7734.167.0.76/3234.167.0.76 to 34.167.0.76—1
7834.167.0.77/3234.167.0.77 to 34.167.0.77—1
7934.167.0.78/3234.167.0.78 to 34.167.0.78—1
8034.167.0.79/3234.167.0.79 to 34.167.0.79—1
8134.167.0.80/3234.167.0.80 to 34.167.0.80—1
8234.167.0.81/3234.167.0.81 to 34.167.0.81—1
8334.167.0.82/3234.167.0.82 to 34.167.0.82—1
8434.167.0.83/3234.167.0.83 to 34.167.0.83—1
8534.167.0.84/3234.167.0.84 to 34.167.0.84—1
8634.167.0.85/3234.167.0.85 to 34.167.0.85—1
8734.167.0.86/3234.167.0.86 to 34.167.0.86—1
8834.167.0.87/3234.167.0.87 to 34.167.0.87—1
8934.167.0.88/3234.167.0.88 to 34.167.0.88—1
9034.167.0.89/3234.167.0.89 to 34.167.0.89—1
9134.167.0.90/3234.167.0.90 to 34.167.0.90—1
9234.167.0.91/3234.167.0.91 to 34.167.0.91—1
9334.167.0.92/3234.167.0.92 to 34.167.0.92—1
9434.167.0.93/3234.167.0.93 to 34.167.0.93—1
9534.167.0.94/3234.167.0.94 to 34.167.0.94—1
9634.167.0.95/3234.167.0.95 to 34.167.0.95—1
9734.167.0.96/3234.167.0.96 to 34.167.0.96—1
9834.167.0.97/3234.167.0.97 to 34.167.0.97—1
9934.167.0.98/3234.167.0.98 to 34.167.0.98—1
10034.167.0.99/3234.167.0.99 to 34.167.0.99—1
10134.167.0.100/3234.167.0.100 to 34.167.0.100—1
10234.167.0.101/3234.167.0.101 to 34.167.0.101—1
10334.167.0.102/3234.167.0.102 to 34.167.0.102—1
10434.167.0.103/3234.167.0.103 to 34.167.0.103—1
10534.167.0.104/3234.167.0.104 to 34.167.0.104—1
10634.167.0.105/3234.167.0.105 to 34.167.0.105—1
10734.167.0.106/3234.167.0.106 to 34.167.0.106—1
10834.167.0.107/3234.167.0.107 to 34.167.0.107—1
10934.167.0.108/3234.167.0.108 to 34.167.0.108—1
11034.167.0.109/3234.167.0.109 to 34.167.0.109—1
11134.167.0.110/3234.167.0.110 to 34.167.0.110—1
11234.167.0.111/3234.167.0.111 to 34.167.0.111—1
11334.167.0.112/3234.167.0.112 to 34.167.0.112—1
11434.167.0.113/3234.167.0.113 to 34.167.0.113—1
11534.167.0.114/3234.167.0.114 to 34.167.0.114—1
11634.167.0.115/3234.167.0.115 to 34.167.0.115—1
11734.167.0.116/3234.167.0.116 to 34.167.0.116—1
11834.167.0.117/3234.167.0.117 to 34.167.0.117—1
11934.167.0.118/3234.167.0.118 to 34.167.0.118—1
12034.167.0.119/3234.167.0.119 to 34.167.0.119—1
12134.167.0.120/3234.167.0.120 to 34.167.0.120—1
12234.167.0.121/3234.167.0.121 to 34.167.0.121—1
12334.167.0.122/3234.167.0.122 to 34.167.0.122—1
12434.167.0.123/3234.167.0.123 to 34.167.0.123—1
12534.167.0.124/3234.167.0.124 to 34.167.0.124—1
12634.167.0.125/3234.167.0.125 to 34.167.0.125—1
12734.167.0.126/3234.167.0.126 to 34.167.0.126—1
12834.167.0.127/3234.167.0.127 to 34.167.0.127—1
12934.167.0.128/3234.167.0.128 to 34.167.0.128—1
13034.167.0.129/3234.167.0.129 to 34.167.0.129—1
13134.167.0.130/3234.167.0.130 to 34.167.0.130—1
13234.167.0.131/3234.167.0.131 to 34.167.0.131—1
13334.167.0.132/3234.167.0.132 to 34.167.0.132—1
13434.167.0.133/3234.167.0.133 to 34.167.0.133—1
13534.167.0.134/3234.167.0.134 to 34.167.0.134—1
13634.167.0.135/3234.167.0.135 to 34.167.0.135—1
13734.167.0.136/3234.167.0.136 to 34.167.0.136—1
13834.167.0.137/3234.167.0.137 to 34.167.0.137—1
13934.167.0.138/3234.167.0.138 to 34.167.0.138—1
14034.167.0.139/3234.167.0.139 to 34.167.0.139—1
14134.167.0.140/3234.167.0.140 to 34.167.0.140—1
14234.167.0.141/3234.167.0.141 to 34.167.0.141—1
14334.167.0.142/3234.167.0.142 to 34.167.0.142—1
14434.167.0.143/3234.167.0.143 to 34.167.0.143—1
14534.167.0.144/3234.167.0.144 to 34.167.0.144—1
14634.167.0.145/3234.167.0.145 to 34.167.0.145—1
14734.167.0.146/3234.167.0.146 to 34.167.0.146—1
14834.167.0.147/3234.167.0.147 to 34.167.0.147—1
14934.167.0.148/3234.167.0.148 to 34.167.0.148—1
15034.167.0.149/3234.167.0.149 to 34.167.0.149—1
15134.167.0.150/3234.167.0.150 to 34.167.0.150—1
15234.167.0.151/3234.167.0.151 to 34.167.0.151—1
15334.167.0.152/3234.167.0.152 to 34.167.0.152—1
15434.167.0.153/3234.167.0.153 to 34.167.0.153—1
15534.167.0.154/3234.167.0.154 to 34.167.0.154—1
15634.167.0.155/3234.167.0.155 to 34.167.0.155—1
15734.167.0.156/3234.167.0.156 to 34.167.0.156—1
15834.167.0.157/3234.167.0.157 to 34.167.0.157—1
15934.167.0.158/3234.167.0.158 to 34.167.0.158—1
16034.167.0.159/3234.167.0.159 to 34.167.0.159—1
16134.167.0.160/3234.167.0.160 to 34.167.0.160—1
16234.167.0.161/3234.167.0.161 to 34.167.0.161—1
16334.167.0.162/3234.167.0.162 to 34.167.0.162—1
16434.167.0.163/3234.167.0.163 to 34.167.0.163—1
16534.167.0.164/3234.167.0.164 to 34.167.0.164—1
16634.167.0.165/3234.167.0.165 to 34.167.0.165—1
16734.167.0.166/3234.167.0.166 to 34.167.0.166—1
16834.167.0.167/3234.167.0.167 to 34.167.0.167—1
16934.167.0.168/3234.167.0.168 to 34.167.0.168—1
17034.167.0.169/3234.167.0.169 to 34.167.0.169—1
17134.167.0.170/3234.167.0.170 to 34.167.0.170—1
17234.167.0.171/3234.167.0.171 to 34.167.0.171—1
17334.167.0.172/3234.167.0.172 to 34.167.0.172—1
17434.167.0.173/3234.167.0.173 to 34.167.0.173—1
17534.167.0.174/3234.167.0.174 to 34.167.0.174—1
17634.167.0.175/3234.167.0.175 to 34.167.0.175—1
17734.167.0.176/3234.167.0.176 to 34.167.0.176—1
17834.167.0.177/3234.167.0.177 to 34.167.0.177—1
17934.167.0.178/3234.167.0.178 to 34.167.0.178—1
18034.167.0.179/3234.167.0.179 to 34.167.0.179—1
18134.167.0.180/3234.167.0.180 to 34.167.0.180—1
18234.167.0.181/3234.167.0.181 to 34.167.0.181—1
18334.167.0.182/3234.167.0.182 to 34.167.0.182—1
18434.167.0.183/3234.167.0.183 to 34.167.0.183—1
18534.167.0.184/3234.167.0.184 to 34.167.0.184—1
18634.167.0.185/3234.167.0.185 to 34.167.0.185—1
18734.167.0.186/3234.167.0.186 to 34.167.0.186—1
18834.167.0.187/3234.167.0.187 to 34.167.0.187—1
18934.167.0.188/3234.167.0.188 to 34.167.0.188—1
19034.167.0.189/3234.167.0.189 to 34.167.0.189—1
19134.167.0.190/3234.167.0.190 to 34.167.0.190—1
19234.167.0.191/3234.167.0.191 to 34.167.0.191—1
19334.167.0.192/3234.167.0.192 to 34.167.0.192—1
19434.167.0.193/3234.167.0.193 to 34.167.0.193—1
19534.167.0.194/3234.167.0.194 to 34.167.0.194—1
19634.167.0.195/3234.167.0.195 to 34.167.0.195—1
19734.167.0.196/3234.167.0.196 to 34.167.0.196—1
19834.167.0.197/3234.167.0.197 to 34.167.0.197—1
19934.167.0.198/3234.167.0.198 to 34.167.0.198—1
20034.167.0.199/3234.167.0.199 to 34.167.0.199—1
20134.167.0.200/3234.167.0.200 to 34.167.0.200—1
20234.167.0.201/3234.167.0.201 to 34.167.0.201—1
20334.167.0.202/3234.167.0.202 to 34.167.0.202—1
20434.167.0.203/3234.167.0.203 to 34.167.0.203—1
20534.167.0.204/3234.167.0.204 to 34.167.0.204—1
20634.167.0.205/3234.167.0.205 to 34.167.0.205—1
20734.167.0.206/3234.167.0.206 to 34.167.0.206—1
20834.167.0.207/3234.167.0.207 to 34.167.0.207—1
20934.167.0.208/3234.167.0.208 to 34.167.0.208—1
21034.167.0.209/3234.167.0.209 to 34.167.0.209—1
21134.167.0.210/3234.167.0.210 to 34.167.0.210—1
21234.167.0.211/3234.167.0.211 to 34.167.0.211—1
21334.167.0.212/3234.167.0.212 to 34.167.0.212—1
21434.167.0.213/3234.167.0.213 to 34.167.0.213—1
21534.167.0.214/3234.167.0.214 to 34.167.0.214—1
21634.167.0.215/3234.167.0.215 to 34.167.0.215—1
21734.167.0.216/3234.167.0.216 to 34.167.0.216—1
21834.167.0.217/3234.167.0.217 to 34.167.0.217—1
21934.167.0.218/3234.167.0.218 to 34.167.0.218—1
22034.167.0.219/3234.167.0.219 to 34.167.0.219—1
22134.167.0.220/3234.167.0.220 to 34.167.0.220—1
22234.167.0.221/3234.167.0.221 to 34.167.0.221—1
22334.167.0.222/3234.167.0.222 to 34.167.0.222—1
22434.167.0.223/3234.167.0.223 to 34.167.0.223—1
22534.167.0.224/3234.167.0.224 to 34.167.0.224—1
22634.167.0.225/3234.167.0.225 to 34.167.0.225—1
22734.167.0.226/3234.167.0.226 to 34.167.0.226—1
22834.167.0.227/3234.167.0.227 to 34.167.0.227—1
22934.167.0.228/3234.167.0.228 to 34.167.0.228—1
23034.167.0.229/3234.167.0.229 to 34.167.0.229—1
23134.167.0.230/3234.167.0.230 to 34.167.0.230—1
23234.167.0.231/3234.167.0.231 to 34.167.0.231—1
23334.167.0.232/3234.167.0.232 to 34.167.0.232—1
23434.167.0.233/3234.167.0.233 to 34.167.0.233—1
23534.167.0.234/3234.167.0.234 to 34.167.0.234—1
23634.167.0.235/3234.167.0.235 to 34.167.0.235—1
23734.167.0.236/3234.167.0.236 to 34.167.0.236—1
23834.167.0.237/3234.167.0.237 to 34.167.0.237—1
23934.167.0.238/3234.167.0.238 to 34.167.0.238—1
24034.167.0.239/3234.167.0.239 to 34.167.0.239—1
24134.167.0.240/3234.167.0.240 to 34.167.0.240—1
24234.167.0.241/3234.167.0.241 to 34.167.0.241—1
24334.167.0.242/3234.167.0.242 to 34.167.0.242—1
24434.167.0.243/3234.167.0.243 to 34.167.0.243—1
24534.167.0.244/3234.167.0.244 to 34.167.0.244—1
24634.167.0.245/3234.167.0.245 to 34.167.0.245—1
24734.167.0.246/3234.167.0.246 to 34.167.0.246—1
24834.167.0.247/3234.167.0.247 to 34.167.0.247—1
24934.167.0.248/3234.167.0.248 to 34.167.0.248—1
25034.167.0.249/3234.167.0.249 to 34.167.0.249—1
25134.167.0.250/3234.167.0.250 to 34.167.0.250—1
25234.167.0.251/3234.167.0.251 to 34.167.0.251—1
25334.167.0.252/3234.167.0.252 to 34.167.0.252—1
25434.167.0.253/3234.167.0.253 to 34.167.0.253—1
25534.167.0.254/3234.167.0.254 to 34.167.0.254—1
25634.167.0.255/3234.167.0.255 to 34.167.0.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses